E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ProtocolMessageStore Class Reference

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store. More...

`#include <gprotocolmessagestore.h>`

Inheritance diagram for GSmtp::ProtocolMessageStore:

## Public Member Functions
| ProtocolMessageStore (MessageStore &store, unique_ptr< Filter >)
| Constructor.
virtual | ~ProtocolMessageStore ()
| Destructor.
virtual G::Slot::Signal4< bool, unsigned long, std::string, std::string > & | doneSignal () override
| Override from GSmtp::ProtocolMessage.
virtual void | reset () override
| Override from GSmtp::ProtocolMessage.
virtual void | clear () override
| Override from GSmtp::ProtocolMessage.
virtual bool | setFrom (const std::string &from_user, const std::string &) override
| Override from GSmtp::ProtocolMessage.
virtual bool | addTo (const std::string &to_user, VerifierStatus to_status) override
| Override from GSmtp::ProtocolMessage.
virtual void | addReceived (const std::string &) override
| Override from GSmtp::ProtocolMessage.
virtual bool | addText (const char *, size_t) override
| Override from GSmtp::ProtocolMessage.
virtual std::string | from () const override
| Override from GSmtp::ProtocolMessage.
virtual void | process (const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_certificate) override
| Override from GSmtp::ProtocolMessage.
Public Member Functions inherited from GSmtp::ProtocolMessage
virtual | ~ProtocolMessage ()
| Destructor.
bool | addTextLine (const std::string &)
| A convenience function that calls addText() taking a string parameter. More...

## Detailed Description

A concrete implementation of the ProtocolMessage interface that stores incoming messages in the message store.

See also
  GSmtp::ProtocolMessageForward

Definition at line 44 of file gprotocolmessagestore.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gprotocolmessagestore.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gprotocolmessagestore.cpp